## typedload 1.0

=== Makefile ===
all: pypi

.PHONY: test
test:
	python3 -m tests

pypi: setup.py typedload
	mkdir -p dist pypi
	./setup.py sdist
	mv dist/typedload-`./setup.py --version`.tar.gz pypi
	rmdir dist
	gpg --detach-sign -a pypi/typedload-`./setup.py --version`.tar.gz

clean:
	$(RM) -r pypi
	$(RM) -r .mypy_cache
	$(RM) MANIFEST
	$(RM) -r `find . -name __pycache__`
	$(RM) typedload_`./setup.py --version`.orig.tar.gz
	$(RM) typedload_`./setup.py --version`.orig.tar.gz.asc
	$(RM) -r deb-pkg

.PHONY: dist
dist: clean
	cd ..; tar -czvvf typedload.tar.gz \
		typedload/setup.py \
		typedload/Makefile \
		typedload/tests \
		typedload/LICENSE \
		typedload/CONTRIBUTING.md \
		typedload/CHANGELOG \
		typedload/README.md \
		typedload/example.py \
		typedload/typedload
	mv ../typedload.tar.gz typedload_`./setup.py --version`.orig.tar.gz
	gpg --detach-sign -a *.orig.tar.gz

.PHONY: upload
upload: pypi
	twine upload pypi/typedload-`./setup.py --version`.tar.gz

deb-pkg: dist
	mv typedload_`./setup.py --version`.orig.tar.gz* /tmp
	cd /tmp; tar -xf typedload_*.orig.tar.gz
	cp -r debian /tmp/typedload/
	cd /tmp/typedload/; dpkg-buildpackage
	mkdir deb-pkg
	mv /tmp/typedload_* /tmp/python3-typedload_*.deb deb-pkg
	$(RM) -r /tmp/typedload

=== debian/changelog ===
typedload (1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #895158)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Fri, 20 Apr 2018 07:37:39 +0200

=== debian/control ===
Source: typedload
Section: python
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
Build-Depends: debhelper (>= 11), python3, dh-python, python3-distutils
Standards-Version: 4.1.4
Homepage: https://github.com/ltworf/typedload#typedload
X-Python3-Version: >= 3.6
Vcs-Browser: https://github.com/ltworf/typedload

Package: python3-typedload
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python3 module to load and dump data into typed structures
 This module provides an API to load dictionaries and list (usually loaded
 from json) into Python's NamedTuples, sets, enums, and various other typed
 data structures.
 .
 It also allows one to dump them from typed data structures to json-like
 dictionaries and lists.
 .
 This allows all the code that uses external data to have the advantages
 of using types, and causes all errors with the data to be noticed when it
 is loaded, rather than when it is used.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make test
endif

## typedload 1.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,12 @@
 
 .PHONY: test
 test:
-	python3 -m tests
+	# Only run tests on python 3.6 or greater
+	test `python3 --version | cut -d. -f2` -gt 5 && python3 -m tests || echo "WARNING: Skipping tests, python version is too old"
+
+.PHONY: mypy
+mypy:
+	mypy --config-file mypy.conf typedload
 
 pypi: setup.py typedload
 	mkdir -p dist pypi
@@ -31,6 +36,7 @@
 		typedload/CHANGELOG \
 		typedload/README.md \
 		typedload/example.py \
+		typedload/mypy.conf \
 		typedload/typedload
 	mv ../typedload.tar.gz typedload_`./setup.py --version`.orig.tar.gz
 	gpg --detach-sign -a *.orig.tar.gz

=== debian/changelog ===
typedload (1.1-1) unstable; urgency=low

  * New upstream release
  * Use mypy when creating the package

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Mon, 07 May 2018 20:13:11 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,6 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	make test
+	make mypy
 endif

## typedload 1.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 .PHONY: test
 test:
 	# Only run tests on python 3.6 or greater
-	test `python3 --version | cut -d. -f2` -gt 5 && python3 -m tests || echo "WARNING: Skipping tests, python version is too old"
+	if test `python3 --version | cut -d. -f2` -gt 5; then python3 -m tests; else echo "WARNING: Skipping tests, python version is too old"; fi
 
 .PHONY: mypy
 mypy:

=== debian/changelog ===
typedload (1.2-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Tue, 08 May 2018 22:43:11 +0200

## typedload 1.6

=== debian/changelog ===
typedload (1.6-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Fri, 08 Jun 2018 07:58:16 +0200

## typedload 1.7

=== debian/changelog ===
typedload (1.7-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sat, 16 Jun 2018 13:09:58 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
-Build-Depends: debhelper (>= 11), python3, dh-python, python3-distutils
+Build-Depends: debhelper (>= 11), python3, dh-python, python3-distutils,
+ mypy
 Standards-Version: 4.1.4
 Homepage: https://github.com/ltworf/typedload#typedload
-X-Python3-Version: >= 3.6
+X-Python3-Version: >= 3.5
 Vcs-Browser: https://github.com/ltworf/typedload
 
 Package: python3-typedload

## typedload 1.8

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,7 @@
 
 .PHONY: test
 test:
-	# Only run tests on python 3.6 or greater
-	if test `python3 --version | cut -d. -f2` -gt 5; then python3 -m tests; else echo "WARNING: Skipping tests, python version is too old"; fi
+	python3 -m tests
 
 .PHONY: mypy
 mypy:

=== debian/changelog ===
typedload (1.8-1) unstable; urgency=medium

  * New upstream release
  * Workaround mypy bug (Closes: #906626)
  * Bump Standards-Version to 4.2.0

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Mon, 20 Aug 2018 07:56:13 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
 Build-Depends: debhelper (>= 11), python3, dh-python, python3-distutils,
  mypy
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Homepage: https://github.com/ltworf/typedload#typedload
 X-Python3-Version: >= 3.5
 Vcs-Browser: https://github.com/ltworf/typedload

## typedload 1.10

=== debian/changelog ===
typedload (1.10-2) unstable; urgency=medium

  * Bump build-dep version on mypy

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Wed, 17 Oct 2018 20:05:53 +0200

typedload (1.10-1) unstable; urgency=low

  * New upstream release
  * Build-depend on a precise mypy version

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Tue, 18 Sep 2018 00:26:54 +0200

typedload (1.9-1) unstable; urgency=low

  * New upstream release
  * Bump standards-version to 4.2.1

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Tue, 18 Sep 2018 00:14:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
 Build-Depends: debhelper (>= 11), python3, dh-python, python3-distutils,
- mypy
-Standards-Version: 4.2.0
+ mypy (= 0.641-1)
+Standards-Version: 4.2.1
 Homepage: https://github.com/ltworf/typedload#typedload
 X-Python3-Version: >= 3.5
 Vcs-Browser: https://github.com/ltworf/typedload

## typedload 1.11

=== debian/changelog ===
typedload (1.11-1) unstable; urgency=medium

  * New upstream release
  * Relax mypy dependency version (Closes: #916280)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sat, 15 Dec 2018 15:12:39 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
 Build-Depends: debhelper (>= 11), python3, dh-python, python3-distutils,
- mypy (= 0.641-1)
+ mypy (>= 0.641)
 Standards-Version: 4.2.1
 Homepage: https://github.com/ltworf/typedload#typedload
 X-Python3-Version: >= 3.5

## typedload 1.12

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,7 @@
 
 clean:
 	$(RM) -r pypi
+	$(RM) -r docs
 	$(RM) -r .mypy_cache
 	$(RM) MANIFEST
 	$(RM) -r `find . -name __pycache__`
@@ -52,3 +53,15 @@
 	mkdir deb-pkg
 	mv /tmp/typedload_* /tmp/python3-typedload_*.deb deb-pkg
 	$(RM) -r /tmp/typedload
+
+docs:
+	install -d docs
+	pydoc3 -w typedload
+	pydoc3 -w typedload.datadumper
+	pydoc3 -w typedload.dataloader
+	pydoc3 -w typedload.exceptions
+	pydoc3 -w typedload.plugins
+	pydoc3 -w typedload.plugins.attrload
+	pydoc3 -w typedload.plugins.attrdump
+	mv *.html docs
+	ln -s typedload.html docs/index.html

=== debian/changelog ===
typedload (1.12-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sat, 02 Feb 2019 11:35:01 +0100

## typedload 1.13

=== debian/changelog ===
typedload (1.13-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.3.0

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sat, 02 Feb 2019 12:34:05 +0100

=== debian/control ===
Source: typedload
Section: python
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
Build-Depends: debhelper (>= 11), python3, dh-python, python3-distutils,
 mypy (>= 0.641)
Standards-Version: 4.3.0
Homepage: https://github.com/ltworf/typedload#typedload
X-Python3-Version: >= 3.5
Vcs-Browser: https://github.com/ltworf/typedload

Package: python3-typedload
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Load and dump json-like data into typed data structures in Python3
 This module provides an API to load dictionaries and lists (usually loaded
 from json) into Python's NamedTuples, dataclass, sets, enums, and various
 other typed data structures; respecting all the type-hints and performing
 type checks or casts when needed.
 .
 It can also dump from typed data structures to json-like dictionaries and
 lists.
 .
 It is very useful for projects that use Mypy and deal with untyped data like
 json, because it guarantees that the data will have the expected format.

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,3 @@
 	make test
 	make mypy
 endif
-

## typedload 1.15

=== debian/changelog ===
typedload (1.15-1) unstable; urgency=low

  * New upstream release
  * Added Upstream-Name to d/copyright

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Fri, 22 Mar 2019 08:03:10 +0100

typedload (1.14-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 07 Mar 2019 07:18:00 +0100

## typedload 1.16

=== debian/changelog ===
typedload (1.16-1) unstable; urgency=low

  * New upstream release
  * Add upstram changelog in debian package

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Wed, 22 May 2019 07:50:24 +0200

## typedload 1.17

=== Makefile ===
--- 
+++ 
@@ -60,6 +60,7 @@
 	pydoc3 -w typedload.datadumper
 	pydoc3 -w typedload.dataloader
 	pydoc3 -w typedload.exceptions
+	pydoc3 -w typedload.typechecks
 	pydoc3 -w typedload.plugins
 	pydoc3 -w typedload.plugins.attrload
 	pydoc3 -w typedload.plugins.attrdump

=== debian/changelog ===
typedload (1.17-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Mon, 08 Jul 2019 09:23:59 +0200

## typedload 1.18

=== debian/changelog ===
typedload (1.18-1) unstable; urgency=low

  * New upstream release
  * Mention the schema enforcing in the long description
  * Move to source only upload
  * bump Standards-Version to 4.4.0
  * Remove unnecessary X-Python3-Version

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sun, 15 Sep 2019 13:23:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
 Build-Depends: debhelper (>= 11), python3, dh-python, python3-distutils,
  mypy (>= 0.641)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/ltworf/typedload#typedload
-X-Python3-Version: >= 3.5
 Vcs-Browser: https://github.com/ltworf/typedload
 
 Package: python3-typedload
@@ -22,4 +21,4 @@
  lists.
  .
  It is very useful for projects that use Mypy and deal with untyped data like
- json, because it guarantees that the data will have the expected format.
+ json, because it guarantees that the data will follow the desired schema.

## typedload 1.19

=== debian/changelog ===
typedload (1.19-1) unstable; urgency=high

  * New upstream release
  * Bump compat to 12
  * Bump mypy minimum version
  * Bump Standards-Version to 4.4.1
  * Set Rules-Requires-Root: no

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sun, 03 Nov 2019 19:50:18 +0100

## typedload 1.20

=== Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 	mv typedload_`./setup.py --version`.orig.tar.gz* /tmp
 	cd /tmp; tar -xf typedload_*.orig.tar.gz
 	cp -r debian /tmp/typedload/
-	cd /tmp/typedload/; dpkg-buildpackage
+	cd /tmp/typedload/; dpkg-buildpackage --changes-option=-S
 	mkdir deb-pkg
 	mv /tmp/typedload_* /tmp/python3-typedload_*.deb deb-pkg
 	$(RM) -r /tmp/typedload

=== debian/changelog ===
typedload (1.20-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 16 Jan 2020 16:33:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: python
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
-Build-Depends: debhelper (>= 11), python3, dh-python, python3-distutils,
- mypy (>= 0.641)
-Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 12), python3, dh-python, python3-distutils,
+ mypy (>= 0.740)
+Standards-Version: 4.4.1
 Homepage: https://github.com/ltworf/typedload#typedload
 Vcs-Browser: https://github.com/ltworf/typedload
+Rules-Requires-Root: no
 
 Package: python3-typedload
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	make test
 	make mypy
+	for pyversion in `py3versions -s`; do \
+		$$pyversion -m tests; \
+	done
 endif

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/ltworf/typedload/releases \
/download/(?:\d[\d.]*)/@PACKAGE@_(\d[\d.]*)(?:\.orig)?@ARCHIVE_EXT@

## typedload 2.1

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 .PHONY: mypy
 mypy:
 	mypy --config-file mypy.conf typedload
+	mypy --python-version=3.6 example.py
 
 pypi: setup.py typedload
 	mkdir -p dist pypi
@@ -61,8 +62,5 @@
 	pydoc3 -w typedload.dataloader
 	pydoc3 -w typedload.exceptions
 	pydoc3 -w typedload.typechecks
-	pydoc3 -w typedload.plugins
-	pydoc3 -w typedload.plugins.attrload
-	pydoc3 -w typedload.plugins.attrdump
 	mv *.html docs
 	ln -s typedload.html docs/index.html

=== debian/changelog ===
typedload (2.1-1) unstable; urgency=high

  * New upstream release
  * Bump Standards-Version: 4.5.0

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Fri, 10 Apr 2020 14:10:56 +0200

typedload (2.0-1) unstable; urgency=low

  * New upstream release
  * Build depend on python3-attr.
    Not strictly needed but this will cause the tests for the optional attr module to run as well.

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Tue, 31 Mar 2020 13:52:24 +0200

## typedload 2.2

=== debian/changelog ===
typedload (2.2-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Fri, 10 Apr 2020 16:37:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
-Build-Depends: debhelper (>= 12), python3, dh-python, python3-distutils,
- mypy (>= 0.740)
-Standards-Version: 4.4.1
+Build-Depends: debhelper (>= 12), python3-all, dh-python, python3-distutils,
+ mypy (>= 0.740), python3-attr
+Standards-Version: 4.5.0
 Homepage: https://github.com/ltworf/typedload#typedload
 Vcs-Browser: https://github.com/ltworf/typedload
 Rules-Requires-Root: no

## typedload 2.3

=== debian/changelog ===
typedload (2.3-3) unstable; urgency=high

  * Forgot to pass --changes-option=-S to dpkg-buildpackage

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sat, 07 Nov 2020 21:51:34 +0100

typedload (2.3-2) unstable; urgency=high

  * Add mypy to test dependencies
  * Remove test that uses the internet

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 05 Nov 2020 09:14:56 +0100

typedload (2.3-1) unstable; urgency=high

  * New upstream release
  * Use new style compat in build-deps
  * Bump compat to 13
  * Add autopkgtest
  * Fix mypy issue (Closes: #973238)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Wed, 28 Oct 2020 15:30:14 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
-Build-Depends: debhelper (>= 12), python3-all, dh-python, python3-distutils,
- mypy (>= 0.740), python3-attr
+Build-Depends: debhelper (>= 13), python3-all, dh-python, python3-distutils,
+ mypy (>= 0.740), python3-attr,
+ debhelper-compat (= 13)
 Standards-Version: 4.5.0
 Homepage: https://github.com/ltworf/typedload#typedload
 Vcs-Browser: https://github.com/ltworf/typedload

## typedload 2.4

=== Makefile ===
--- 
+++ 
@@ -36,6 +36,7 @@
 		typedload/CONTRIBUTING.md \
 		typedload/CHANGELOG \
 		typedload/README.md \
+		typedload/SECURITY.md \
 		typedload/example.py \
 		typedload/mypy.conf \
 		typedload/typedload

=== debian/changelog ===
typedload (2.4-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sat, 14 Nov 2020 11:10:34 +0100

## typedload 2.5

=== debian/changelog ===
typedload (2.5-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.1

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Fri, 29 Jan 2021 07:43:10 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 13), python3-all, dh-python, python3-distutils,
  mypy (>= 0.740), python3-attr,
  debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/ltworf/typedload#typedload
 Vcs-Browser: https://github.com/ltworf/typedload
 Rules-Requires-Root: no

## typedload 2.6

=== debian/changelog ===
typedload (2.6-1) unstable; urgency=low

  * New upstream release
  * Include docs/ directory
  * Point to new homepage

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Tue, 16 Feb 2021 15:16:02 +0100

## typedload 2.7

=== debian/changelog ===
typedload (2.7-1) unstable; urgency=low

  * New upstream release
  * Bumped d/watch version

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Tue, 06 Apr 2021 21:10:30 +0200

## typedload 2.8

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,6 @@
 
 clean:
 	$(RM) -r pypi
-	$(RM) -r docs
 	$(RM) -r .mypy_cache
 	$(RM) MANIFEST
 	$(RM) -r `find . -name __pycache__`
@@ -32,11 +31,11 @@
 		typedload/setup.py \
 		typedload/Makefile \
 		typedload/tests \
+		typedload/docs \
 		typedload/LICENSE \
 		typedload/CONTRIBUTING.md \
 		typedload/CHANGELOG \
 		typedload/README.md \
-		typedload/SECURITY.md \
 		typedload/example.py \
 		typedload/mypy.conf \
 		typedload/typedload
@@ -56,12 +55,14 @@
 	mv /tmp/typedload_* /tmp/python3-typedload_*.deb deb-pkg
 	$(RM) -r /tmp/typedload
 
-docs:
-	install -d docs
-	pydoc3 -w typedload
-	pydoc3 -w typedload.datadumper
-	pydoc3 -w typedload.dataloader
-	pydoc3 -w typedload.exceptions
-	pydoc3 -w typedload.typechecks
-	mv *.html docs
-	ln -s typedload.html docs/index.html
+site: mkdocs.yml README.md docs/examples.md docs/origin_story.md
+	mkdocs build
+	#install -d site/docstring
+	#pydoc3 -w typedload
+	#pydoc3 -w typedload.datadumper
+	#pydoc3 -w typedload.dataloader
+	#pydoc3 -w typedload.exceptions
+	#pydoc3 -w typedload.typechecks
+	#mv *.html site/docstring
+	#ln -s typedload.html site/docstring/index.html
+	mkdocs gh-deploy

=== debian/changelog ===
typedload (2.8-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 22 Apr 2021 11:22:47 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  mypy (>= 0.740), python3-attr,
  debhelper-compat (= 13)
 Standards-Version: 4.5.1
-Homepage: https://github.com/ltworf/typedload#typedload
+Homepage: https://ltworf.github.io/typedload/
 Vcs-Browser: https://github.com/ltworf/typedload
 Rules-Requires-Root: no

=== debian/tests/control ===
Test-Command: make mypy
Depends: mypy

Test-Command: make test
Restrictions: allow-stderr

Test-Command: localslackirc --help
Depends: localslackirc
Restrictions: superficial

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 
 opts="pgpsigurlmangle=s/$/.asc/" \
 https://github.com/ltworf/typedload/releases \

## typedload 2.11

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,6 @@
+MINIMUM_PYTHON_VERSION=3.5
+
+
 all: pypi
 
 .PHONY: test
@@ -6,27 +9,33 @@
 
 .PHONY: mypy
 mypy:
-	mypy --config-file mypy.conf typedload
-	mypy --python-version=3.6 example.py
+	mypy --python-version=$(MINIMUM_PYTHON_VERSION) --config-file mypy.conf typedload
+	mypy --python-version=3.7 example.py
+
+setup.py:
+	./gensetup.py > setup.py
+	chmod u+x setup.py
 
 pypi: setup.py typedload
 	mkdir -p dist pypi
 	./setup.py sdist
-	mv dist/typedload-`./setup.py --version`.tar.gz pypi
+	mv dist/typedload-`head -1 CHANGELOG`.tar.gz pypi
 	rmdir dist
-	gpg --detach-sign -a pypi/typedload-`./setup.py --version`.tar.gz
+	gpg --detach-sign -a pypi/typedload-`head -1 CHANGELOG`.tar.gz
 
+.PHONY: clean
 clean:
 	$(RM) -r pypi
 	$(RM) -r .mypy_cache
 	$(RM) MANIFEST
 	$(RM) -r `find . -name __pycache__`
-	$(RM) typedload_`./setup.py --version`.orig.tar.gz
-	$(RM) typedload_`./setup.py --version`.orig.tar.gz.asc
+	$(RM) typedload_`head -1 CHANGELOG`.orig.tar.gz
+	$(RM) typedload_`head -1 CHANGELOG`.orig.tar.gz.asc
 	$(RM) -r deb-pkg
+	$(RM) setup.py
 
 .PHONY: dist
-dist: clean
+dist: clean setup.py
 	cd ..; tar -czvvf typedload.tar.gz \
 		typedload/setup.py \
 		typedload/Makefile \

=== debian/changelog ===
typedload (2.11-1) unstable; urgency=high

  * New upstream release
  * Successful test with newer mypy version

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Wed, 08 Sep 2021 05:08:04 +0200

typedload (2.10-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Fri, 27 Aug 2021 16:28:56 +0200

typedload (2.9-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sat, 14 Aug 2021 16:24:07 +0200

## typedload 2.12

=== Makefile ===
--- 
+++ 
@@ -64,6 +64,7 @@
 	mv /tmp/typedload_* /tmp/python3-typedload_*.deb deb-pkg
 	$(RM) -r /tmp/typedload
 
+.PHONY: site
 site: mkdocs.yml README.md docs/examples.md docs/origin_story.md
 	mkdocs build
 	#install -d site/docstring

=== debian/changelog ===
typedload (2.12-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Fix debian/watch
  * Drop obsolete minimum version for mypy
  * Build depend on python3-all:any instead of python3-all

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Med, 27 Oct 2021 22:23:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,15 @@
 Section: python
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
-Build-Depends: debhelper (>= 13), python3-all, dh-python, python3-distutils,
- mypy (>= 0.740), python3-attr,
+Build-Depends:
+ debhelper (>= 13),
+ python3-all:any,
+ dh-python,
+ python3-distutils,
+ mypy,
+ python3-attr,
  debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://ltworf.github.io/typedload/
 Vcs-Browser: https://github.com/ltworf/typedload
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	make mypy
+	make MINIMUM_PYTHON_VERSION=3.7 mypy
 	for pyversion in `py3versions -s`; do \
 		$$pyversion -m tests; \
 	done

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-Test-Command: make mypy
+Test-Command:  make MINIMUM_PYTHON_VERSION=3.7 mypy
 Depends: mypy
 
 Test-Command: make test

## typedload 2.13

=== Makefile ===
--- 
+++ 
@@ -33,6 +33,7 @@
 	$(RM) typedload_`head -1 CHANGELOG`.orig.tar.gz.asc
 	$(RM) -r deb-pkg
 	$(RM) setup.py
+	$(RM) -r perftest.output
 
 .PHONY: dist
 dist: clean setup.py
@@ -76,3 +77,10 @@
 	#mv *.html site/docstring
 	#ln -s typedload.html site/docstring/index.html
 	mkdocs gh-deploy
+
+perftest.output/perf.p:
+	perftest/performance.py
+
+.PHONY: gnuplot
+gnuplot: perftest.output/perf.p
+	cd "perftest.output"; gnuplot -persist -c perf.p

=== debian/changelog ===
typedload (2.13-1) unstable; urgency=low

  * New upstream release
  * Changed LGPL exceptions

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Wed, 27 Oct 2021 23:55:34 +0200

## typedload 2.14

=== Makefile ===
--- 
+++ 
@@ -64,6 +64,7 @@
 	mkdir deb-pkg
 	mv /tmp/typedload_* /tmp/python3-typedload_*.deb deb-pkg
 	$(RM) -r /tmp/typedload
+	lintian --pedantic -E --color auto -i -I deb-pkg/*.changes deb-pkg/*.deb
 
 .PHONY: site
 site: mkdocs.yml README.md docs/examples.md docs/origin_story.md

=== debian/changelog ===
typedload (2.14-2) unstable; urgency=high

  * Remove mypy tests since they periodically fail (Closes: #1001736)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Wed, 15 Dec 2021 00:37:30 +0100

typedload (2.14-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 02 Dec 2021 08:59:11 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
  python3-all:any,
  dh-python,
  python3-distutils,
- mypy,
  python3-attr,
  debhelper-compat (= 13)
 Standards-Version: 4.6.0

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	make MINIMUM_PYTHON_VERSION=3.7 mypy
 	for pyversion in `py3versions -s`; do \
 		$$pyversion -m tests; \
 	done

## typedload 2.15

=== Makefile ===
--- 
+++ 
@@ -33,6 +33,7 @@
 	$(RM) typedload_`head -1 CHANGELOG`.orig.tar.gz.asc
 	$(RM) -r deb-pkg
 	$(RM) setup.py
+	$(RM) -r html
 	$(RM) -r perftest.output
 
 .PHONY: dist
@@ -42,6 +43,7 @@
 		typedload/Makefile \
 		typedload/tests \
 		typedload/docs \
+		typedload/mkdocs.yml \
 		typedload/LICENSE \
 		typedload/CONTRIBUTING.md \
 		typedload/CHANGELOG \
@@ -62,21 +64,27 @@
 	cp -r debian /tmp/typedload/
 	cd /tmp/typedload/; dpkg-buildpackage --changes-option=-S
 	mkdir deb-pkg
-	mv /tmp/typedload_* /tmp/python3-typedload_*.deb deb-pkg
+	mv /tmp/typedload_* /tmp/python3-typedload*.deb deb-pkg
 	$(RM) -r /tmp/typedload
 	lintian --pedantic -E --color auto -i -I deb-pkg/*.changes deb-pkg/*.deb
 
-.PHONY: site
-site: mkdocs.yml README.md docs/examples.md docs/origin_story.md
+html: \
+		mkdocs.yml \
+		docs/CHANGELOG.md \
+		docs/comparisons.md \
+		docs/errors.md \
+		docs/CONTRIBUTING.md \
+		docs/gpl3logo.png \
+		docs/CODE_OF_CONDUCT.md \
+		docs/examples.md \
+		docs/README.md \
+		docs/supported_types.md \
+		docs/SECURITY.md \
+		docs/origin_story.md
 	mkdocs build
-	#install -d site/docstring
-	#pydoc3 -w typedload
-	#pydoc3 -w typedload.datadumper
-	#pydoc3 -w typedload.dataloader
-	#pydoc3 -w typedload.exceptions
-	#pydoc3 -w typedload.typechecks
-	#mv *.html site/docstring
-	#ln -s typedload.html site/docstring/index.html
+
+.PHONY: publish_html
+publish_html: html
 	mkdocs gh-deploy
 
 perftest.output/perf.p:

=== debian/changelog ===
typedload (2.15-3) unstable; urgency=medium

  * Fix Breaks and Replace version (Closes: #1004013)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 20 Jan 2022 19:40:49 +0100

typedload (2.15-2) unstable; urgency=low

  * Add Breaks and Replace fields to prevent doc package to be installed
    alongside an older typedload version

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Mon, 17 Jan 2022 16:46:26 +0100

typedload (2.15-1) unstable; urgency=low

  * New upstream release
  * Add -doc package that contains the html documentation

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Fri, 14 Jan 2022 10:50:01 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  dh-python,
  python3-distutils,
  python3-attr,
- debhelper-compat (= 13)
+ debhelper-compat (= 13),
+ mkdocs
 Standards-Version: 4.6.0
 Homepage: https://ltworf.github.io/typedload/
 Vcs-Browser: https://github.com/ltworf/typedload
@@ -17,6 +18,7 @@
 Package: python3-typedload
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
+Suggests: python3-typedload-doc
 Description: Load and dump json-like data into typed data structures in Python3
  This module provides an API to load dictionaries and lists (usually loaded
  from json) into Python's NamedTuples, dataclass, sets, enums, and various
@@ -28,3 +30,24 @@
  .
  It is very useful for projects that use Mypy and deal with untyped data like
  json, because it guarantees that the data will follow the desired schema.
+
+Package: python3-typedload-doc
+Architecture: all
+Section: doc
+Recommends: python3-typedload
+Replaces: python3-typedload (<< 2.15-3)
+Breaks: python3-typedload (<< 2.15-3)
+Depends: ${mkdocs:Depends}, ${misc:Depends}
+Description: Documentation and examples for python3-typedload
+ This module provides an API to load dictionaries and lists (usually loaded
+ from json) into Python's NamedTuples, dataclass, sets, enums, and various
+ other typed data structures; respecting all the type-hints and performing
+ type checks or casts when needed.
+ .
+ It can also dump from typed data structures to json-like dictionaries and
+ lists.
+ .
+ It is very useful for projects that use Mypy and deal with untyped data like
+ json, because it guarantees that the data will follow the desired schema.
+ .
+ This is the documentation for the module.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3,mkdocs --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for pyversion in `py3versions -s`; do \
		$$pyversion -m tests; \
	done
endif

execute_before_dh_installdocs:
	make html

=== debian/tests/control ===
Test-Command: make test
Restrictions: allow-stderr

Test-Command: localslackirc --help
Depends: localslackirc
Restrictions: superficial

=== debian/watch ===
version=4

opts=pgpmode=auto \
https://github.com/ltworf/typedload/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## typedload 2.16

=== debian/changelog ===
typedload (2.16-1) unstable; urgency=low

  * New upstream release
  * Remove duplicate changelog from documentation
  * Remove duplicate gpl logo image from documentation

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 20 Jan 2022 21:41:50 +0100

## typedload 2.17

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	mypy --python-version=$(MINIMUM_PYTHON_VERSION) --config-file mypy.conf typedload
 	mypy --python-version=3.7 example.py
 
-setup.py:
+setup.py: docs/CHANGELOG.md README.md
 	./gensetup.py > setup.py
 	chmod u+x setup.py
 
@@ -35,6 +35,7 @@
 	$(RM) setup.py
 	$(RM) -r html
 	$(RM) -r perftest.output
+	$(RM) docs/*_docgen.md
 
 .PHONY: dist
 dist: clean setup.py
@@ -43,6 +44,7 @@
 		typedload/Makefile \
 		typedload/tests \
 		typedload/docs \
+		typedload/docgen \
 		typedload/mkdocs.yml \
 		typedload/LICENSE \
 		typedload/CONTRIBUTING.md \
@@ -68,7 +70,27 @@
 	$(RM) -r /tmp/typedload
 	lintian --pedantic -E --color auto -i -I deb-pkg/*.changes deb-pkg/*.deb
 
+docs/typedload_docgen.md: typedload/__init__.py
+	./docgen $@
+
+docs/typedload.dataloader_docgen.md: typedload/dataloader.py
+	./docgen $@
+
+docs/typedload.datadumper_docgen.md: typedload/datadumper.py
+	./docgen $@
+
+docs/typedload.exceptions_docgen.md: typedload/exceptions.py
+	./docgen $@
+
+docs/typedload.typechecks_docgen.md: typedload/typechecks.py
+	./docgen $@
+
 html: \
+		docs/typedload_docgen.md \
+		docs/typedload.dataloader_docgen.md \
+		docs/typedload.datadumper_docgen.md \
+		docs/typedload.exceptions_docgen.md \
+		docs/typedload.typechecks_docgen.md \
 		mkdocs.yml \
 		docs/CHANGELOG.md \
 		docs/comparisons.md \

=== debian/changelog ===
typedload (2.17-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version: 4.6.1.0
  * Link svgfiles
  * Add debian/upstream/metadata file

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Fri, 29 Jul 2022 22:21:58 +0200

## typedload 2.18

=== debian/changelog ===
typedload (2.18-1) unstable; urgency=high

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Tue, 16 Aug 2022 16:00:46 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-attr,
  debhelper-compat (= 13),
  mkdocs
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1.0
 Homepage: https://ltworf.github.io/typedload/
 Vcs-Browser: https://github.com/ltworf/typedload
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,6 @@
 
 execute_before_dh_installdocs:
 	make html
+
+override_dh_installdocs:
+	dh_installdocs --exclude=CHANGELOG.md

## typedload 2.19

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MINIMUM_PYTHON_VERSION=3.5
+MINIMUM_PYTHON_VERSION=3.8
 
 
 all: pypi
@@ -58,7 +58,7 @@
 
 .PHONY: upload
 upload: pypi
-	twine upload pypi/typedload-`./setup.py --version`.tar.gz
+	twine upload --username __token__ --password `cat .token` pypi/typedload-`./setup.py --version`.tar.gz
 
 deb-pkg: dist
 	mv typedload_`./setup.py --version`.orig.tar.gz* /tmp
@@ -86,30 +86,53 @@
 	./docgen $@
 
 html: \
+		docs/*.svg \
+		docs/CHANGELOG.md \
+		docs/CODE_OF_CONDUCT.md \
+		docs/comparisons.md \
+		docs/CONTRIBUTING.md \
+		docs/deferred_evaluation.md \
+		docs/docs \
+		docs/docs/gpl3logo.png \
+		docs/errors.md \
+		docs/examples.md \
+		docs/gpl3logo.png \
+		docs/origin_story.md \
+		docs/performance.md \
+		docs/README.md \
+		docs/SECURITY.md \
+		docs/supported_types.md \
+		docs/typedload.datadumper_docgen.md \
+		docs/typedload.dataloader_docgen.md \
 		docs/typedload_docgen.md \
-		docs/typedload.dataloader_docgen.md \
-		docs/typedload.datadumper_docgen.md \
 		docs/typedload.exceptions_docgen.md \
 		docs/typedload.typechecks_docgen.md \
-		mkdocs.yml \
-		docs/CHANGELOG.md \
-		docs/comparisons.md \
-		docs/errors.md \
-		docs/CONTRIBUTING.md \
-		docs/gpl3logo.png \
-		docs/CODE_OF_CONDUCT.md \
-		docs/examples.md \
-		docs/README.md \
-		docs/supported_types.md \
-		docs/SECURITY.md \
-		docs/origin_story.md
+		mkdocs.yml
 	mkdocs build
+	# Download cloudflare crap
+	mkdir -p html/cdn
+	cd html/cdn; wget --continue `cat ../*html | grep cloudflare | grep min.css | sort | uniq | cut -d\" -f4`
+	cd html/cdn; wget --continue `cat ../*html | grep cloudflare | grep min.js | sort | uniq | cut -d\" -f2`
+	# Fix html pages
+	for page in html/*.html; do \
+		sed -i 's,https://cdnjs.cloudflare.com/ajax/libs/highlight.js/10.5.0/styles/github.min.css,cdn/github.min.css,g' $${page}; \
+		sed -i 's,https://cdnjs.cloudflare.com/ajax/libs/highlight.js/10.5.0/highlight.min.js,cdn/highlight.min.js,g' $${page}; \
+		echo "<!-- Trackers stripped from mkdocs theme by me -_-' -->" >> $${page}; \
+	done
 
 .PHONY: publish_html
 publish_html: html
-	mkdocs gh-deploy
+	git checkout gh-pages
+	rm -rf cdn css docs fonts img js search
+	mv html/* .
+	git add cdn css docs fonts img js search
+	git add `git status  --porcelain | grep '^ M' | cut -d\  -f3`
+	git commit -m "Deployed manually to workaround MkDocs"
+	git push
+	git checkout -
 
 perftest.output/perf.p:
+	@echo export MOREVERSIONS=1 to compare more versions
 	perftest/performance.py
 
 .PHONY: gnuplot

=== debian/changelog ===
typedload (2.19-1) unstable; urgency=low

  * New upstream release
  * Use jdupes to link duplicated images together
  * Remove HTML from documentation package: mkdocs refuses to respect privacy
    and requires internet.

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Mon, 03 Oct 2022 19:47:04 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-distutils,
  python3-attr,
  debhelper-compat (= 13),
- mkdocs
+ jdupes
 Standards-Version: 4.6.1.0
 Homepage: https://ltworf.github.io/typedload/
 Vcs-Browser: https://github.com/ltworf/typedload

## typedload 2.20

=== Makefile ===
--- 
+++ 
@@ -12,11 +12,14 @@
 	mypy --python-version=$(MINIMUM_PYTHON_VERSION) --config-file mypy.conf typedload
 	mypy --python-version=3.7 example.py
 
+pyproject.toml: docs/CHANGELOG.md
+	./gensetup.py --$@
+
 setup.py: docs/CHANGELOG.md README.md
-	./gensetup.py > setup.py
+	./gensetup.py --$@
 	chmod u+x setup.py
 
-pypi: setup.py typedload
+pypi: pyproject.toml setup.py typedload
 	mkdir -p dist pypi
 	./setup.py sdist
 	mv dist/typedload-`head -1 CHANGELOG`.tar.gz pypi
@@ -27,18 +30,20 @@
 clean:
 	$(RM) -r pypi
 	$(RM) -r .mypy_cache
+	$(RM) -r typedload.egg-info/
 	$(RM) MANIFEST
 	$(RM) -r `find . -name __pycache__`
 	$(RM) typedload_`head -1 CHANGELOG`.orig.tar.gz
 	$(RM) typedload_`head -1 CHANGELOG`.orig.tar.gz.asc
 	$(RM) -r deb-pkg
 	$(RM) setup.py
+	$(RM) pyproject.toml
 	$(RM) -r html
 	$(RM) -r perftest.output
 	$(RM) docs/*_docgen.md
 
 .PHONY: dist
-dist: clean setup.py
+dist: clean setup.py pyproject.toml
 	cd ..; tar -czvvf typedload.tar.gz \
 		typedload/setup.py \
 		typedload/Makefile \
@@ -52,6 +57,7 @@
 		typedload/README.md \
 		typedload/example.py \
 		typedload/mypy.conf \
+		typedload/pyproject.toml \
 		typedload/typedload
 	mv ../typedload.tar.gz typedload_`./setup.py --version`.orig.tar.gz
 	gpg --detach-sign -a *.orig.tar.gz

=== debian/changelog ===
typedload (2.20-1) unstable; urgency=low

  * New upstream release
  * Switch distutils for setuptools

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sun, 11 Dec 2022 08:46:15 +0100

## typedload 2.21

=== debian/changelog ===
typedload (2.21-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sun, 11 Dec 2022 22:17:43 +0100

## typedload 2.22

=== Makefile ===
--- 
+++ 
@@ -22,9 +22,12 @@
 pypi: pyproject.toml setup.py typedload
 	mkdir -p dist pypi
 	./setup.py sdist
+	./setup.py bdist_wheel
 	mv dist/typedload-`head -1 CHANGELOG`.tar.gz pypi
+	mv dist/*whl pypi
 	rmdir dist
 	gpg --detach-sign -a pypi/typedload-`head -1 CHANGELOG`.tar.gz
+	gpg --detach-sign -a pypi/typedload-`head -1 CHANGELOG`-py3-none-any.whl
 
 .PHONY: clean
 clean:
@@ -64,7 +67,7 @@
 
 .PHONY: upload
 upload: pypi
-	twine upload --username __token__ --password `cat .token` pypi/typedload-`./setup.py --version`.tar.gz
+	twine upload --username __token__ --password `cat .token` pypi/*
 
 deb-pkg: dist
 	mv typedload_`./setup.py --version`.orig.tar.gz* /tmp

=== debian/changelog ===
typedload (2.22-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Mon, 27 Feb 2023 12:15:02 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper (>= 13),
  python3-all:any,
  dh-python,
- python3-distutils,
+ python3-setuptools,
  python3-attr,
  debhelper-compat (= 13),
  jdupes

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for pyversion in `py3versions -s`; do \
		$$pyversion -m tests; \
	done
endif

override_dh_link:
	jdupes -rl debian/python3-typedload-doc/usr/share/doc/
	dh_link

## typedload 2.23

=== debian/changelog ===
typedload (2.23-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version: 4.6.2

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 01 Jun 2023 07:54:30 +0200

## typedload 2.24

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 .PHONY: mypy
 mypy:
 	mypy --python-version=$(MINIMUM_PYTHON_VERSION) --config-file mypy.conf typedload
-	mypy --python-version=3.7 example.py
+	mypy --python-version=$(MINIMUM_PYTHON_VERSION) example.py
 
 pyproject.toml: docs/CHANGELOG.md
 	./gensetup.py --$@

=== debian/changelog ===
typedload (2.24-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sun, 02 Jul 2023 08:42:15 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-attr,
  debhelper-compat (= 13),
  jdupes
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://ltworf.github.io/typedload/
 Vcs-Browser: https://github.com/ltworf/typedload
 Rules-Requires-Root: no

## typedload 2.25

=== debian/changelog ===
typedload (2.25-1) unstable; urgency=low

  * New upstream release
  * Fix broken symlink in documentation (Closes: #1040601)
  * Override dh_auto_clean to properly clean (Closes: #1048336)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sun, 27 Aug 2023 09:46:39 +0200

## typedload 2.26

=== debian/changelog ===
typedload (2.26-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Mon, 11 Sep 2023 13:54:09 +0200

## typedload 2.27

=== Makefile ===
--- 
+++ 
@@ -29,21 +29,29 @@
 	gpg --detach-sign -a pypi/typedload-`head -1 CHANGELOG`.tar.gz
 	gpg --detach-sign -a pypi/typedload-`head -1 CHANGELOG`-py3-none-any.whl
 
-.PHONY: clean
-clean:
+# Debian needs setup and pyproject to be kept since they are in the
+# dist file. However I want to clean them or they will become outdated
+# and not regenerated
+.PHONY: debian_clean
+debian_clean:
 	$(RM) -r pypi
 	$(RM) -r .mypy_cache
 	$(RM) -r typedload.egg-info/
+	$(RM) -r .pybuild
 	$(RM) MANIFEST
 	$(RM) -r `find . -name __pycache__`
 	$(RM) typedload_`head -1 CHANGELOG`.orig.tar.gz
 	$(RM) typedload_`head -1 CHANGELOG`.orig.tar.gz.asc
 	$(RM) -r deb-pkg
-	$(RM) setup.py
-	$(RM) pyproject.toml
 	$(RM) -r html
 	$(RM) -r perftest.output
 	$(RM) docs/*_docgen.md
+
+.PHONY: clean
+clean: debian_clean
+	$(RM) setup.py
+	$(RM) pyproject.toml
+
 
 .PHONY: dist
 dist: clean setup.py pyproject.toml

=== debian/changelog ===
typedload (2.27-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 15 Jan 2024 15:44:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: typedload
 Section: python
 Priority: optional
-Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
+Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
 Build-Depends:
  debhelper (>= 13),
  python3-all:any,

## typedload 2.28

=== debian/changelog ===
typedload (2.28-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 23 Apr 2024 14:53:56 +0200

## typedload 2.29

=== Makefile ===
--- 
+++ 
@@ -139,7 +139,7 @@
 
 .PHONY: publish_html
 publish_html: html
-	git checkout gh-pages
+	git checkout pages
 	rm -rf cdn css docs fonts img js search
 	mv html/* .
 	git add cdn css docs fonts img js search

=== debian/changelog ===
typedload (2.29-1) unstable; urgency=low

  * New upstream release
  * Add Vcs-Git field
  * Upstream moved to codeberg

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 18 May 2024 09:45:11 +0200

## typedload 2.32

=== debian/changelog ===
typedload (2.32-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Jun 2024 16:57:21 +0200

typedload (2.31-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 31 May 2024 00:57:29 +0200

typedload (2.30-1) unstable; urgency=medium

  * New upstream release
  * Better copyright file

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 19 May 2024 18:04:48 +0200

## typedload 2.33

=== debian/changelog ===
typedload (2.33-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Jun 2024 17:01:28 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
  debhelper-compat (= 13),
  jdupes
 Standards-Version: 4.6.2
-Homepage: https://ltworf.github.io/typedload/
-Vcs-Browser: https://github.com/ltworf/typedload
+Homepage: https://ltworf.codeberg.page/typedload/
+Vcs-Browser: https://codeberg.org/ltworf/typedload
+Vcs-Git: https://codeberg.org/ltworf/typedload.git
 Rules-Requires-Root: no
 
 Package: python3-typedload

## typedload 2.34

=== Makefile ===
--- 
+++ 
@@ -35,6 +35,7 @@
 .PHONY: debian_clean
 debian_clean:
 	$(RM) -r pypi
+	$(RM) -r build
 	$(RM) -r .mypy_cache
 	$(RM) -r typedload.egg-info/
 	$(RM) -r .pybuild

=== debian/changelog ===
typedload (2.34-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 11 Jul 2024 11:54:04 +0200

## typedload 2.35

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 mypy:
 	mypy --python-version=$(MINIMUM_PYTHON_VERSION) --config-file mypy.conf typedload
 	mypy --python-version=$(MINIMUM_PYTHON_VERSION) example.py
+	mypy --python-version=$(MINIMUM_PYTHON_VERSION) tests/mypy_*.py
 
 pyproject.toml: docs/CHANGELOG.md
 	./gensetup.py --$@
@@ -133,10 +134,11 @@
 	cd html/cdn; wget --continue `cat ../*html | grep cloudflare | grep min.js | sort | uniq | cut -d\" -f2`
 	# Fix html pages
 	for page in html/*.html; do \
-		sed -i 's,https://cdnjs.cloudflare.com/ajax/libs/highlight.js/10.5.0/styles/github.min.css,cdn/github.min.css,g' $${page}; \
-		sed -i 's,https://cdnjs.cloudflare.com/ajax/libs/highlight.js/10.5.0/highlight.min.js,cdn/highlight.min.js,g' $${page}; \
+		sed -i 's,https://cdnjs.cloudflare.com/ajax/libs/highlight.js/11.8.0/styles/github.min.css,cdn/github.min.css,g' $${page}; \
+		sed -i 's,https://cdnjs.cloudflare.com/ajax/libs/highlight.js/11.8.0/highlight.min.js,cdn/highlight.min.js,g' $${page}; \
 		echo "<!-- Trackers stripped from mkdocs theme by me -_-' -->" >> $${page}; \
 	done
+	if (cat html/*.html | grep cdnjs.cloudflare.com); then echo trackers found; false; fi
 
 .PHONY: publish_html
 publish_html: html

=== debian/changelog ===
typedload (2.35-1) unstable; urgency=low

  * New upstream release
  * Bump

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 18 Sep 2024 09:16:02 +0200

## typedload 2.37

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MINIMUM_PYTHON_VERSION=3.8
+MINIMUM_PYTHON_VERSION=3.9
 
 
 all: pypi

=== debian/changelog ===
typedload (2.37-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 26 Nov 2024 13:03:09 +0100

typedload (2.36-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 25 Nov 2024 00:07:46 +0100

## typedload 2.38

=== debian/changelog ===
typedload (2.38-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 22 Sep 2025 08:29:00 +0200

=== debian/watch ===
version=4

opts=pgpmode=auto \
https://codeberg.org/ltworf/typedload/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## typedload 2.39

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MINIMUM_PYTHON_VERSION=3.9
+MINIMUM_PYTHON_VERSION=3.10
 
 
 all: pypi

=== debian/changelog ===
typedload (2.39-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 21 Oct 2025 09:03:49 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-attr,
  debhelper-compat (= 13),
  jdupes
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://ltworf.codeberg.page/typedload/
 Vcs-Browser: https://codeberg.org/ltworf/typedload
 Vcs-Git: https://codeberg.org/ltworf/typedload.git

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 override_dh_link:
 	jdupes -rl debian/python3-typedload-doc/usr/share/doc/
 	dh_link
+
+override_dh_auto_clean:
+	make debian_clean
